# Uses of Class
com.fasterxml.jackson.core.util.DefaultPrettyPrinter

Packages that use DefaultPrettyPrinter
Package
Description
com.fasterxml.jackson.core.util
Utility classes used by Jackson Core functionality.

## Uses of DefaultPrettyPrinter in com.fasterxml.jackson.core.util

Methods in com.fasterxml.jackson.core.util that return DefaultPrettyPrinter
Modifier and Type
Method
Description
`protected DefaultPrettyPrinter`
DefaultPrettyPrinter.`_withSpaces(boolean state)`
`DefaultPrettyPrinter`
DefaultPrettyPrinter.`createInstance()`
`DefaultPrettyPrinter`
DefaultPrettyPrinter.`withArrayIndenter(DefaultPrettyPrinter.Indenter i)`
`DefaultPrettyPrinter`
DefaultPrettyPrinter.`withObjectIndenter(DefaultPrettyPrinter.Indenter i)`
`DefaultPrettyPrinter`
DefaultPrettyPrinter.`withoutSpacesInObjectEntries()`
Deprecated.
in 2.16.
`DefaultPrettyPrinter`
DefaultPrettyPrinter.`withRootSeparator(SerializableString rootSeparator)`
Deprecated.
in 2.16.
`DefaultPrettyPrinter`
DefaultPrettyPrinter.`withRootSeparator(String rootSeparator)`
Deprecated.
in 2.16.
`DefaultPrettyPrinter`
DefaultPrettyPrinter.`withSeparators(Separators separators)`
Method for configuring separators for this pretty-printer to use
`DefaultPrettyPrinter`
DefaultPrettyPrinter.`withSpacesInObjectEntries()`
Deprecated.
in 2.16.
Constructors in com.fasterxml.jackson.core.util with parameters of type DefaultPrettyPrinter
Modifier
Constructor
Description
``
`DefaultPrettyPrinter(DefaultPrettyPrinter base)`
Copy constructor
``
`DefaultPrettyPrinter(DefaultPrettyPrinter base, SerializableString rootSeparator)`
Deprecated.
in 2.16.